Skip to main content
GET
Fetch all Currency Credit Amount Changes

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id, or the vid of the Account A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON A list array with a data property that contains an array of up to limit CurrencyAmounts, starting after the specified starting_after CurrencyAmount (or ending before the specified ending_before CurrencyAmount). If no more CurrencyAmounts are available, the resulting array will be empty. This request should never throw an error.

A list of CurrencyAmount objects matching the query. Also:

  • “total_count”: Integer count of the number of CurrencyAmount in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next CurrencyAmount object (string to select the “next”); included vid should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous CurrencyAmount object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>

Value is “CurrencyAmount”

Available options:
CurrencyAmount
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
currency
string

An ISO 4217 Currency Code.

amount
number

The currency amount of the credit.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

sort_value
integer

Order of precedence value.

description
string

Text provided upon credit grant.

reason
string

Text provided upon credit grant.

granted_by_cashbox
boolean
granted
string<datetime>

The date and time the credit was originally granted.

account
object

The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide

An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.

An Account owns the “on file” payment methods to be used by it in billing.

subscription
object
Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"CurrencyAmount\", \"vid\": \"6ba08ba03880e6743cc6d37f7d85910123274c68\", \"currency\": \"USD\", \"amount\": 55, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:23:47+00:00\", \"source\": \"Subscription\", \"note\": \"Testing\" } ], \"total_count\": 1, \"url\": \"/subscriptions/Subscription_1649141886/currency_amount_changes\", \"next\": \"/subscriptions/Subscription_1649141886/currency_amount_changes?starting_after=6ba08ba03880e6743cc6d37f7d85910123274c68\", \"previous\": \"/subscriptions/Subscription_1649141886/currency_amount_changes?ending_before=6ba08ba03880e6743cc6d37f7d85910123274c68\" }"